globus_gsi_callback_constants(3)

NAME
globus_gsi_callback_constants - GSI Callback Constants.

SYNOPSIS

  Enumerations

enum globus_gsi_callback_error_t { GLOBUS_GSI_CALLBACK_ERROR_SUCCESS = 0, GLOBUS_GSI_CALLBACK_ERROR_VERIFY_CRED = 1, GLOBUS_GSI_CALLBACK_ERROR_CERT_NOT_YET_VALID = 2, GLOBUS_GSI_CALLBACK_ERROR_CANT_GET_LOCAL_CA_CERT = 3, GLOBUS_GSI_CALLBACK_ERROR_CERT_HAS_EXPIRED = 4, GLOBUS_GSI_CALLBACK_ERROR_INVALID_PROXY = 5, GLOBUS_GSI_CALLBACK_ERROR_LIMITED_PROXY = 6, GLOBUS_GSI_CALLBACK_ERROR_INVALID_CRL = 7, GLOBUS_GSI_CALLBACK_ERROR_REVOKED_CERT = 8, GLOBUS_GSI_CALLBACK_ERROR_MIXING_DIFFERENT_PROXY_TYPES = 9, GLOBUS_GSI_CALLBACK_ERROR_WITH_SIGNING_POLICY = 10, GLOBUS_GSI_CALLBACK_ERROR_OLD_GAA = 11, GLOBUS_GSI_CALLBACK_ERROR_CALLBACK_DATA = 12, GLOBUS_GSI_CALLBACK_ERROR_ERRNO = 13, GLOBUS_GSI_CALLBACK_ERROR_CERT_CHAIN = 14, GLOBUS_GSI_CALLBACK_ERROR_WITH_CALLBACK_DATA_INDEX = 15, GLOBUS_GSI_CALLBACK_ERROR_PROXY_PATH_LENGTH_EXCEEDED = 16, GLOBUS_GSI_CALLBACK_ERROR_LAST = 18 }

Detailed Description

GSI Callback Constants.

Enumeration Type Documentation

  enum globus_gsi_callback_error_t
GSI Callback Error codes

Enumerator

GLOBUS_GSI_CALLBACK_ERROR_SUCCESS
    Success - never used

GLOBUS_GSI_CALLBACK_ERROR_VERIFY_CRED
    Error verifying credential

GLOBUS_GSI_CALLBACK_ERROR_CERT_NOT_YET_VALID
    The certificate is not yet valid

GLOBUS_GSI_CALLBACK_ERROR_CANT_GET_LOCAL_CA_CERT
    Unable to discover a local trusted CA for a given certificate

GLOBUS_GSI_CALLBACK_ERROR_CERT_HAS_EXPIRED
    The certificate has expired

GLOBUS_GSI_CALLBACK_ERROR_INVALID_PROXY
    The proxy format is invalid

GLOBUS_GSI_CALLBACK_ERROR_LIMITED_PROXY
    Limited proxies are not accepted

GLOBUS_GSI_CALLBACK_ERROR_INVALID_CRL
    Invalid CRL

GLOBUS_GSI_CALLBACK_ERROR_REVOKED_CERT
    The certificate has been revoked

GLOBUS_GSI_CALLBACK_ERROR_MIXING_DIFFERENT_PROXY_TYPES
    The cert chain contains both legacy on RFC compliant proxies

GLOBUS_GSI_CALLBACK_ERROR_WITH_SIGNING_POLICY
    Could not verify certificate chain against the signing policy for the issuing CA

GLOBUS_GSI_CALLBACK_ERROR_OLD_GAA
    OldGAA error

GLOBUS_GSI_CALLBACK_ERROR_CALLBACK_DATA
    Error with the callback data structure

GLOBUS_GSI_CALLBACK_ERROR_ERRNO
    System error

GLOBUS_GSI_CALLBACK_ERROR_CERT_CHAIN
    Error setting or getting the cert chain from callback data

GLOBUS_GSI_CALLBACK_ERROR_WITH_CALLBACK_DATA_INDEX
    Error getting callback data index

GLOBUS_GSI_CALLBACK_ERROR_PROXY_PATH_LENGTH_EXCEEDED
    Exceeded the path length specified in the proxy cert info extension

GLOBUS_GSI_CALLBACK_ERROR_LAST
    Last marker - never used

Author

Generated automatically by Doxygen for globus_gsi_callback from the source code.